- name: Remove i3lock (conflicting with i3lock-color) and its dependencies
  become: yes
  pacman:
    name: "{{ item }}"
    state: absent
  loop:
    - manjaro-i3-settings
    - i3exit
    - i3lock

- name: Install betterlockscreen
  become: yes
  shell: pikaur -S --noconfirm --needed betterlockscreen

- name: Reinstall i3lock dependencies
  become: yes
  pacman:
    name: "{{ item }}"
  loop:
    - manjaro-i3-settings
    - i3exit

- name: Cache lock screen image
  shell: betterlockscreen -u /usr/share/backgrounds/pyke.jpg
